int button = 13; //the button pin to roll the dice

int topLeft = 1; //LEDs for DICE
int topRight = 2;
int midLeft = 3;
int midMid = 4;
int midRight = 5;
int bottomLeft = 6;
int bottomRight = 7;

int state = 0;  //button initial state
long randomNumber; //store random number


void setup(){
  pinMode(topLeft, OUTPUT);
  pinMode(topRight, OUTPUT);
  pinMode(midLeft, OUTPUT);
  pinMode(midMid, OUTPUT);
  pinMode(midRight, OUTPUT);
  pinMode(bottomLeft, OUTPUT);
  pinMode(bottomRight, OUTPUT);
  pinMode(button, INPUT);
  
  randomSeed(analogRead(0)); // initializes the pseudo-random number generator, 
                            //causing it to start at an arbitrary point in its random sequence.
                            
  clearAll(); //calling the self-defined function to switch off all LEDs
  
}


 void loop(){
    if (digitalRead(button) == HIGH && state == 0){    
    //read the button state; if high then roll the dice
        state = 1;
        randomNumber = random(1, 7);
        delay(100);
        clearAll();
        if (randomNumber == 6){
            six();
        }
        if (randomNumber == 5){
            five();
        }
        if (randomNumber == 4){
            four();
        }
        if (randomNumber == 3){
            three();
        }
        if (randomNumber == 2){
            two();
        }
        if (randomNumber == 1){
            one();
        }
        delay(1000);
        state = 0;
    }
}


//create a function for each of the sides of the die
 void six()
{
  digitalWrite(topLeft, HIGH);
  digitalWrite(topRight, HIGH);
  digitalWrite(midLeft, HIGH);
  digitalWrite(midRight, HIGH);
  digitalWrite(bottomLeft, HIGH);
  digitalWrite(bottomRight, HIGH);
}

void five()
{
    digitalWrite(topLeft, HIGH);
    digitalWrite(topRight, HIGH);
    digitalWrite(midMid, HIGH);
    digitalWrite(bottomLeft, HIGH);
    digitalWrite(bottomRight, HIGH);
}

void four()
{
    digitalWrite(topLeft, HIGH);
    digitalWrite(topRight, HIGH);
    digitalWrite(bottomLeft, HIGH);
    digitalWrite(bottomRight, HIGH);
}

void three()
{
    digitalWrite(topLeft, HIGH);
    digitalWrite(midMid, HIGH);
    digitalWrite(bottomRight, HIGH);
}

void two()
{
    digitalWrite(midLeft, HIGH);
    digitalWrite(midRight, HIGH);
}

void one(){
    digitalWrite(midMid, HIGH);
}


void clearAll(){
  digitalWrite(topLeft, LOW);
  digitalWrite(topRight, LOW);
  digitalWrite(midLeft, LOW);
  digitalWrite(midMid, LOW);
  digitalWrite(midRight, LOW);
  digitalWrite(bottomLeft, LOW);
  digitalWrite(bottomRight, LOW);
}
